Bug 258685 - graphics/jpeg-turbo: build fails on armv6
Summary: graphics/jpeg-turbo: build fails on armv6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-22 17:56 UTC by Martin Birgmeier
Modified: 2021-09-24 21:20 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (portmgr)


Attachments
portmaster logfile (46.57 KB, text/plain)
2021-09-22 17:56 UTC, Martin Birgmeier
no flags Details
Patch for jpeg-turbo (541 bytes, patch)
2021-09-24 05:20 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Birgmeier 2021-09-22 17:56:55 UTC
Created attachment 228125 [details]
portmaster logfile

Scenario:
- FreeBSD main 08b9cc316a319fba95af8bb13b262fe0d5526ec3
- ports being upgraded using portmaster
- RPI-B installation (armv6) being run using qemu-user-static
- Latest ports

Result:
- Upgrading jpeg-turbo from 2.0.6 to 2.1.1 fails. The error log is attached.

Note:
- Upgrading on amd64 works (same FreeBSD level).
Comment 1 Antoine Brodin freebsd_committer 2021-09-22 18:28:43 UTC
Hello @diizzy
Can you have a look at this failure on armv6 after jpeg-turbo update?
Comment 2 Daniel Engberg freebsd_committer 2021-09-22 23:28:01 UTC
Can you give it a go with 
CMAKE_ARGS= -DWITH_SIMD:BOOL=OFF added to the port Makefile?
Comment 3 Martin Birgmeier 2021-09-23 15:18:48 UTC
Hi Daniel,

With these flags the compile on armv6 was indeed successful.

Thank you for the quick fix.

-- Martin
Comment 4 Daniel Engberg freebsd_committer 2021-09-23 19:31:51 UTC
Great, thanks!
I'll add that to the port next week unless someone beats me to it.
Comment 5 Daniel Engberg freebsd_committer 2021-09-24 05:20:05 UTC
Created attachment 228146 [details]
Patch for jpeg-turbo

Don't enable SIMD instructions on ARMv6 platforms
Comment 6 commit-hook freebsd_committer 2021-09-24 21:12:40 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6b077d7a7d1311e91865d94b195ae374db0464c1

commit 6b077d7a7d1311e91865d94b195ae374db0464c1
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2021-09-24 21:01:38 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-09-24 21:10:15 +0000

    graphics/jpeg-turbo: Disable SIMD instructions on ARMv6 platforms

    libjpeg-turbo incorrectly assumes that SIMD instructions are
    available on all ARM platforms

    PR:             258685
    Reported by:    Martin Birgmeier
    Approved by:    antoine (portmgr / maintainer)
    Differential Revision:  https://reviews.freebsd.org/D32096

 graphics/jpeg-turbo/Makefile | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)
Comment 7 Daniel Engberg freebsd_committer 2021-09-24 21:20:23 UTC
Fix committed, thanks for reporting!